///////////////////////////////////////////////////////////////////////////
//                        Author unit for the Delphi.                    //
//                Copyright (C) 1995,1997 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //                                                    //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************

unit author;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TformAuthor = class(TForm)
    bitbtnClose     : TBitBtn;
    imagePortrait   : TImage;
    memoGreetings   : TMemo;
    panelPortrait   : TPanel;
    procedure bitbtnCloseClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
  public
  end;

var
  formAuthor: TformAuthor;

implementation

uses
  Main;

{$R *.DFM}

//*************************************************************************
//* Closes myself
//*************************************************************************
procedure TformAuthor.bitbtnCloseClick(Sender: TObject);
begin
  Close;
end;


//*************************************************************************
//* onClose event handler
//*************************************************************************
procedure TformAuthor.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Main.DisplayStatus('Closing "'+Caption+'"...');
  Release;
  Main.DisplayStatus('Closed "'+Caption+'".');
end;

end.
