///////////////////////////////////////////////////////////////////////////
//            Hyper Juke, Audio-CD database with media player.           //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //                                                    //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************
unit category;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, DBCtrls, ExtCtrls, Grids, DBGrids, DB, DBTables;

type
  TformCategory = class(TForm)
    tableCategory: TTable;
    datasourceCategory: TDataSource;
    dbgridCategory: TDBGrid;
    panelBottom: TPanel;
    dbnavigatorCategory: TDBNavigator;
    bitbtnAppend: TBitBtn;
    bitbtnClose: TBitBtn;
    procedure bitbtnCloseClick(Sender: TObject);
    procedure bitbtnAppendClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  formCategory: TformCategory;

implementation

{$R *.DFM}
uses Main;

//*************************************************************************
//*
//*************************************************************************
procedure TformCategory.bitbtnCloseClick(Sender: TObject);
begin
  Close;
end;


//*************************************************************************
//*
//*************************************************************************
procedure TformCategory.bitbtnAppendClick(Sender: TObject);
begin
  tableCategory.Append;
end;


//*************************************************************************
//*
//*************************************************************************
procedure TformCategory.FormActivate(Sender: TObject);
begin
  tableCategory.Refresh;
end;


//*************************************************************************
//*
//*************************************************************************
procedure TformCategory.FormDeactivate(Sender: TObject);
begin
  if tableCategory.Modified then tableCategory.Post;
end;


//*************************************************************************
//*
//*************************************************************************
procedure TformCategory.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
  Main.DisplayStatus('Closing "Category List" form...');
  if tableCategory.Modified then tableCategory.Post;
  Release;
  Main.DisplayStatus('Closed "Category List" form.');
end;

end.
