///////////////////////////////////////////////////////////////////////////
//            Hyper Juke, Audio-CD database with media player.           //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************
unit Titlebak;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls;

type
  TformTitleBack = class(TForm)
    Label1: TLabel;
    timerAutoRelease: TTimer;
    Memo1: TMemo;
    lablHyperJukeUpper: TLabel;
    labelHyperJukeLower: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure timerAutoReleaseTimer(Sender: TObject);
  private
  public
  protected
    procedure CreateParams(var Params: TCreateParams); Override;
  end;

var
  formTitleBack: TformTitleBack;

implementation

{$R *.DFM}

//*************************************************************************
//* Creates parameter
//*************************************************************************
procedure TformTitleBack.CreateParams(var Params: TCreateParams);
begin
  Inherited; //for Delphi 2.0
  //Inherited CreateParams(Params);  // for Delphi 1.0
  Params.Style:=Params.Style and (not(WS_CAPTION or WS_THICKFRAME));
end;


//*************************************************************************
//* Executes when form create event occurs
//*************************************************************************
procedure TformTitleBack.FormCreate(Sender: TObject);
begin
  Width:=400;
  Height:=200;
end;

procedure TformTitleBack.timerAutoReleaseTimer(Sender: TObject);
begin
  formTitleBack.Release;
end;

end.
