///////////////////////////////////////////////////////////////////////////
//                      GNU GPL unit for the Delphi                      //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //                                                    //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************


unit gnugpl;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TformGNUGPL = class(TForm)
    bitbtnClose : TBitBtn;
    memoGNUGPL  : TMemo;
    panelBottom : TPanel;
    procedure bitbtnCloseClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
  public
  end;

var
  formGNUGPL: TformGNUGPL;

implementation

uses Main;

{$R *.DFM}


//******************************************************************************
//* Hides myself
//******************************************************************************
procedure TformGNUGPL.bitbtnCloseClick(Sender: TObject);
begin
  Close;
end;



procedure TformGNUGPL.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Main.DisplayStatus('Closing "'+Caption+'"...');
  Release;
  Main.DisplayStatus('Closed "'+Caption+'".');
end;

procedure TformGNUGPL.FormCreate(Sender: TObject);
begin
  Main.DisplayStatus('Opened "'+Caption+'".');
end;

end.
