///////////////////////////////////////////////////////////////////////////
//            Hyper Juke, Audio-CD database with media player.           //
//                Copyright (C) 1990,1996 Fumio Kawamata                 //
//                                                                       //
//  This program is free software; you can redistribute it and/or modify //
//  it under the terms of the GNU General Public License as published by //
//  the Free Software Foundation; version 2 of the License.              //
//                                                                       //
//  This program is distributed in the hope that it will be useful, but  //
//  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT- //
//  ABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General    //
//  Public License in the directory "GNUGPL" for more details.           //
///////////////////////////////////////////////////////////////////////////
//*************************************************************************
//*
//*************************************************************************
program HyperJuke;

uses
  Forms,
  Controls,
  MyFunc in 'MYFUNC.PAS',
  About in 'ABOUT.PAS' {formAbout},
  GNUGPL in 'GNUGPL.PAS' {formGNUGPL},
  Author in 'AUTHOR.PAS' {formAuthor},
  Main in 'MAIN.PAS' {formMain},
  Location in 'LOCATION.PAS' {formLocationList},
  Unitlist in 'UNITLIST.PAS' {formUnitTitles},
  Disclist in 'DISCLIST.PAS' {formDiscTitles},
  Disc in 'DISC.PAS' {formDetailsOfDisc},
  Discmus in 'DISCMUS.PAS' {formDiscAndMusicTitles},
  MusicLst in 'MUSICLST.PAS' {formMusicTitles},
  Music in 'MUSIC.PAS' {formDetailsOfMusic},
  titlebak in 'titlebak.pas' {formTitleBack},
  Keyword in 'KEYWORD.PAS' {formKeyword},
  Login in 'LOGIN.PAS' {formLogin},
  Autoload in 'AUTOLOAD.PAS' {formQuickRecall},
  progplayer in 'progplayer.pas' {formProgPlayer},
  Empty_C in 'Empty_C.pas' {formEmptyCommonTables},
  Empty_P in 'Empty_P.pas' {formEmptyPersonalTables},
  category in 'category.pas' {formCategory},
  arrange in 'arrange.pas' {formArrangePersonalTable},
  rpt_disctitle in 'rpt_disctitle.pas' {reportDiscTitleList};

{$R *.RES}

begin
  Application.Title := 'Hyper Juke';
  Application.ShowHint:=False;
  Screen.Cursor:=crAppStart;
  Application.CreateForm(TformMain, formMain);
  Application.CreateForm(TformTitleBack, formTitleBack);
  Screen.Cursor:=crDefault;
  Application.Run;
end.
